Get FFA Assigned Details
curl --request GET \
--url https://api.16tms.com/api/v1/tournaments/{tournamentId}/ffa/assigned-details \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/tournaments/{tournamentId}/ffa/assigned-details"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/tournaments/{tournamentId}/ffa/assigned-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Assigned tournament details fetched successfully",
"data": {
"rounds": [
{
"id": "44accbab-48f7-4fe0-8085-df45903863a8",
"tournamentId": "788f9b9d-1aec-4dec-b2fc-d585a6ef149f",
"roundName": "Round 1 (Normal)",
"description": "",
"teamCount": 4,
"matchesPerGroup": 2,
"startDate": "2026-02-10T07:49:51.364271Z",
"endDate": "2026-02-11T07:49:51.364271Z",
"roundType": 1,
"status": 4,
"roundNumber": 1,
"numberOfGroups": 0,
"numberOfMatches": 4,
"assignedGroups": [
{
"id": "61e28f2f-367a-4cfc-8488-3a3aa4e4e04e",
"tournamentRoundId": "44accbab-48f7-4fe0-8085-df45903863a8",
"groupName": "Group 2",
"maxParticipants": 2,
"groupVersion": 1
}
]
}
]
},
"meta": {
"traceId": "00-a1cfa6f179adc0916b0cdf83f16b02a6-7fe2112fc6f5fba9-00",
"elapsedMs": 55.8,
"serverTimestamp": "2026-02-17T12:17:29.1198079Z"
}
}API Reference
Get FFA Assigned Details
Fetch assigned details for FFA tournaments, including assigned groups for rounds.
GET
/
tournaments
/
{tournamentId}
/
ffa
/
assigned-details
Get FFA Assigned Details
Authorizations
API key for authentication.
Path Parameters
The unique identifier of the tournament
Query Parameters
External ID of the user.
⌘I